package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XzdyFwxxSdEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;

/**
 * 个人维修资金复核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface GrwxzjfhDao extends BaseMapper<YwpzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param XzdyFwxxSdEntity
	 * @return
	 */
	List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);

	// 查看按钮
	XzdyFwxxSdEntity selectgrwxfh(String fwbm);

	// 查询该条记录的复核状态
	String selectfwzt(String id);

	// 单个或者批量复核
	void updatefh(DhbmyjEntity d);

	// 单个或者批量取消复核
	void updateqxfh(String id);

	String selectdjrqbydjbh(String id);

	// 小区名称下拉框查询
	List<XlkEntity> selectxqxlk();

	// 下拉框联动(根据小区匹配下拉框相对应得项目)
	List<XlkEntity> selectxlld(String xqbm);

	// 根据ywpzmxdjbh查询对应的记录。
	YwpzEntity selectywpzmx(String id);

	FwxxEntity selectfwxx(String id);

	void updatefwje(FwxxEntity fwxxEntity);

	void updatefwjeqx(FwxxEntity fwxxEntity);

	ZhxxEntity selectzhxx(String id);

	void updatezhxx(ZhxxEntity zhxxEntity);

	YwpzEntity selectfzhsdj(String id);
	
	void insertfzhsmx(YwpzEntity ywpzEntity);
	
	void deletefzhsdj(String id);
	
	List<YwpzEntity> selectkjqjbydjbh(String id);
	
	String ywkjqj(String id);
	
	String selectmaxkjqj();
	
	List<YwpzEntity> selectfffff(String id);
	
	YwpzEntity selectqcye(YwpzEntity ywpzEntity);
	
	void updatefzhsye(YwpzEntity ywpzEntity);
	
	void updatefzhsye111(YwpzEntity ywpzEntity);
	
	List<YwpzEntity> selectfzhsye(String id);
	
	void insertfzhsye(YwpzEntity ywpzEntity);
}
